<html>
<head>
<title>Ogre::Win32PBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Win32PBuffer.html">Win32PBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Win32PBuffer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Win32PBuffer" --><!-- doxytag: inherits="Ogre::GLPBuffer" -->
<p><code>#include &lt;<a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Win32PBuffer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Win32PBuffer__inherit__graph.gif" border="0" usemap="#Ogre_1_1Win32PBuffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Win32PBuffer_inherit__map" id="Ogre_1_1Win32PBuffer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLPBuffer.html" title="An off&#45;screen rendering context." alt="" coords="16,5,133,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Win32PBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#aa61e8780545430b05f9f72aa13bc0890">Win32PBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a28413759a93572679ba31c4aa1382efc">~Win32PBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a9f9bfa856fc5393e8ef041f1feff9aaf">getContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GL context that needs to be active to render to this PBuffer.  <a href="#a9f9bfa856fc5393e8ef041f1feff9aaf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#a79f78d53cfc6f515136ca9c5a488b1ae">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#a8601b96b0a4762945345802323ab6d1d">getWidth</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#ad2e3e5c9a28060d84139edc83de18a78">getHeight</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#a98a0b650eb58c396dc0f80c0579c2fd7">getPixelComponentType</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PBuffer component format for an OGRE pixel format.  <a href="#a98a0b650eb58c396dc0f80c0579c2fd7"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#ab8cab1f96a3a275508df8bd77f1ac3cb">createPBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#ab29daf4e74e3e28aa4ca3fc4ce4d0bd0">destroyPBuffer</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HDC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a7559fbb288a5e2d03429eb5f47f6eded">mHDC</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HGLRC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a6ee95f307d58444cbcaafe35b415d03e">mGlrc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HPBUFFERARB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a72d9b2fd3046f163754b9d882173fbdf">mPBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Win32Context.html">Win32Context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Win32PBuffer.html#a64a567c274ec2b4c39367b342d0be369">mContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#ae1cc8696d257700ac97ac7260c0a7e29">mFormat</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#a1dad8a029d710b55e55fd23df1c5a595">mWidth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBuffer.html#a73ccc26b915e05ec14f474aa8412f574">mHeight</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00037">37</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa61e8780545430b05f9f72aa13bc0890"></a><!-- doxytag: member="Ogre::Win32PBuffer::Win32PBuffer" ref="aa61e8780545430b05f9f72aa13bc0890" args="(PixelComponentType format, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Win32PBuffer.html#aa61e8780545430b05f9f72aa13bc0890">Ogre::Win32PBuffer::Win32PBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a28413759a93572679ba31c4aa1382efc"></a><!-- doxytag: member="Ogre::Win32PBuffer::~Win32PBuffer" ref="a28413759a93572679ba31c4aa1382efc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Win32PBuffer.html#a28413759a93572679ba31c4aa1382efc">Ogre::Win32PBuffer::~Win32PBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab8cab1f96a3a275508df8bd77f1ac3cb"></a><!-- doxytag: member="Ogre::Win32PBuffer::createPBuffer" ref="ab8cab1f96a3a275508df8bd77f1ac3cb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Win32PBuffer.html#ab8cab1f96a3a275508df8bd77f1ac3cb">Ogre::Win32PBuffer::createPBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab29daf4e74e3e28aa4ca3fc4ce4d0bd0"></a><!-- doxytag: member="Ogre::Win32PBuffer::destroyPBuffer" ref="ab29daf4e74e3e28aa4ca3fc4ce4d0bd0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Win32PBuffer.html#ab29daf4e74e3e28aa4ca3fc4ce4d0bd0">Ogre::Win32PBuffer::destroyPBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9f9bfa856fc5393e8ef041f1feff9aaf"></a><!-- doxytag: member="Ogre::Win32PBuffer::getContext" ref="a9f9bfa856fc5393e8ef041f1feff9aaf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1Win32PBuffer.html#a9f9bfa856fc5393e8ef041f1feff9aaf">Ogre::Win32PBuffer::getContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GL context that needs to be active to render to this PBuffer. </p>

<p>Implements <a class="el" href="classOgre_1_1GLPBuffer.html#a5909ad1a50959ec9c33b0adaed554eba">Ogre::GLPBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00043">43</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79f78d53cfc6f515136ca9c5a488b1ae"></a><!-- doxytag: member="Ogre::Win32PBuffer::getFormat" ref="a79f78d53cfc6f515136ca9c5a488b1ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLPBuffer.html#a79f78d53cfc6f515136ca9c5a488b1ae">Ogre::GLPBuffer::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00048">48</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad2e3e5c9a28060d84139edc83de18a78"></a><!-- doxytag: member="Ogre::Win32PBuffer::getHeight" ref="ad2e3e5c9a28060d84139edc83de18a78" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLPBuffer.html#ad2e3e5c9a28060d84139edc83de18a78">Ogre::GLPBuffer::getHeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00050">50</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98a0b650eb58c396dc0f80c0579c2fd7"></a><!-- doxytag: member="Ogre::Win32PBuffer::getPixelComponentType" ref="a98a0b650eb58c396dc0f80c0579c2fd7" args="(PixelFormat fmt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLPBuffer.html#a98a0b650eb58c396dc0f80c0579c2fd7">Ogre::GLPBuffer::getPixelComponentType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get PBuffer component format for an OGRE pixel format. </p>

</div>
</div>
<a class="anchor" id="a8601b96b0a4762945345802323ab6d1d"></a><!-- doxytag: member="Ogre::Win32PBuffer::getWidth" ref="a8601b96b0a4762945345802323ab6d1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLPBuffer.html#a8601b96b0a4762945345802323ab6d1d">Ogre::GLPBuffer::getWidth</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00049">49</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a64a567c274ec2b4c39367b342d0be369"></a><!-- doxytag: member="Ogre::Win32PBuffer::mContext" ref="a64a567c274ec2b4c39367b342d0be369" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Win32Context.html">Win32Context</a>* <a class="el" href="classOgre_1_1Win32PBuffer.html#a64a567c274ec2b4c39367b342d0be369">Ogre::Win32PBuffer::mContext</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00051">51</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae1cc8696d257700ac97ac7260c0a7e29"></a><!-- doxytag: member="Ogre::Win32PBuffer::mFormat" ref="ae1cc8696d257700ac97ac7260c0a7e29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLPBuffer.html#ae1cc8696d257700ac97ac7260c0a7e29">Ogre::GLPBuffer::mFormat</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00056">56</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6ee95f307d58444cbcaafe35b415d03e"></a><!-- doxytag: member="Ogre::Win32PBuffer::mGlrc" ref="a6ee95f307d58444cbcaafe35b415d03e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HGLRC <a class="el" href="classOgre_1_1Win32PBuffer.html#a6ee95f307d58444cbcaafe35b415d03e">Ogre::Win32PBuffer::mGlrc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00049">49</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7559fbb288a5e2d03429eb5f47f6eded"></a><!-- doxytag: member="Ogre::Win32PBuffer::mHDC" ref="a7559fbb288a5e2d03429eb5f47f6eded" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HDC <a class="el" href="classOgre_1_1Win32PBuffer.html#a7559fbb288a5e2d03429eb5f47f6eded">Ogre::Win32PBuffer::mHDC</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00048">48</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73ccc26b915e05ec14f474aa8412f574"></a><!-- doxytag: member="Ogre::Win32PBuffer::mHeight" ref="a73ccc26b915e05ec14f474aa8412f574" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLPBuffer.html#a73ccc26b915e05ec14f474aa8412f574">Ogre::GLPBuffer::mHeight</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72d9b2fd3046f163754b9d882173fbdf"></a><!-- doxytag: member="Ogre::Win32PBuffer::mPBuffer" ref="a72d9b2fd3046f163754b9d882173fbdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HPBUFFERARB <a class="el" href="classOgre_1_1Win32PBuffer.html#a72d9b2fd3046f163754b9d882173fbdf">Ogre::Win32PBuffer::mPBuffer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWin32RenderTexture_8h_source.html#l00050">50</a> of file <a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1dad8a029d710b55e55fd23df1c5a595"></a><!-- doxytag: member="Ogre::Win32PBuffer::mWidth" ref="a1dad8a029d710b55e55fd23df1c5a595" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLPBuffer.html#a1dad8a029d710b55e55fd23df1c5a595">Ogre::GLPBuffer::mWidth</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLPBuffer_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLPBuffer_8h_source.html">OgreGLPBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWin32RenderTexture_8h_source.html">OgreWin32RenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
